{
    
    

   . 
  E-mail: roman@infra.sar.nnov.ru
}

unit Ex_Icon;

interface

uses
  Windows, ShellAPI, Messages, SysUtils, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Ex_Controls;

type
  TIconForm = class(TForm)
    IconBox: TIconBox;
    FileLabel: TLabel;
    FileEdit: TEdit;
    IconLabel: TLabel;
    OKButton: TButton;
    CancelButton: TButton;
    BrowseButton: TButton;
    OpenDialog: TOpenDialog;
    procedure IconBoxChange(Sender: TObject);
    procedure IconBoxDblClick(Sender: TObject);
    procedure OKButtonClick(Sender: TObject);
    procedure BrowseButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

{$R *.DFM}

procedure TIconForm.IconBoxChange(Sender: TObject);
begin
  FileEdit.Text := IconBox.IconFile;
end;

procedure TIconForm.IconBoxDblClick(Sender: TObject);
begin
  ModalResult := mrOK;
end;

procedure TIconForm.OKButtonClick(Sender: TObject);
begin
  if CompareText(IconBox.IconFile, FileEdit.Text) <> 0 then
    IconBox.IconFile := FileEdit.Text else
    ModalResult := mrOK;
end;

procedure TIconForm.BrowseButtonClick(Sender: TObject);
begin
  with OpenDialog do
  begin
    FileName := IconBox.IconFile;
    if Execute then IconBox.IconFile := FileName;
  end;
end;

end.
