{
    
   

   . 
  E-mail: roman@infra.sar.nnov.ru
}

unit Ex_Reg;

interface

uses Classes, DsgnIntf;

type

{ TDialogEditor }

  TDialogEditor = class(TDefaultEditor)
  protected
    procedure Test; virtual;
  public
    procedure ExecuteVerb(Index : Integer); override;
    function GetVerb(Index : Integer): string; override;
    function GetVerbCount : Integer; override;
  end;

{ TIconDialogEditor }

  TIconDialogEditor = class(TDialogEditor)
  protected
    procedure Test; override;
  end;

{ TAboutDialogEditor }

  TAboutDialogEditor = class(TDialogEditor)
  protected
    procedure Test; override;
  end;

{ TFolderDialogEditor }

  TFolderDialogEditor = class(TDialogEditor)
  protected
    procedure Test; override;
  end;

{ TFileDialogEditor }

  TFileDialogEditor = class(TDialogEditor)
  protected
    procedure Test; override;
  end;

procedure Register;

implementation

uses Ex_Controls;

{ TDialogEditor }

procedure TDialogEditor.Test;
begin
end;

procedure TDialogEditor.ExecuteVerb(Index: Integer);
begin
  if Index = 0 then Test;
end;

function TDialogEditor.GetVerb(Index: Integer): AnsiString;
begin
  Result := 'Test dialog...';
end;

function TDialogEditor.GetVerbCount: Integer;
begin
  Result := 1;
end;

{ TIconDialogEditor }

procedure TIconDialogEditor.Test;
begin
  (Component as TIconDialog).Execute;
end;

{ TAboutDialogEditor }

procedure TAboutDialogEditor.Test;
begin
  (Component as TAboutDialog).Execute;
end;

{ TFolderDialogEditor }

procedure TFolderDialogEditor.Test;
begin
  (Component as TFolderDialog).Execute;
end;

{ TFileDialogEditor }

procedure TFileDialogEditor.Test;
begin
  (Component as TFileDialog).Execute;
end;

procedure Register;
begin
  RegisterComponents('Extended', [TFormSizer]);
  RegisterComponents('Extended', [TFormPlacement]);
  RegisterComponents('Extended', [TFormPreventer]);
  RegisterComponents('Extended', [TFormHook]);
  RegisterComponents('Extended', [TFormEdge]);
  
  RegisterComponents('Extended', [TAppPreventer]);
  RegisterComponents('Extended', [TAppHook]);
  RegisterComponents('Extended', [TAppInstance]);

  RegisterComponents('Extended', [TSplitPanel]);
  RegisterComponents('Extended', [TTrayIcon]);

  RegisterComponents('Extended', [TCheckList]);
  RegisterComponents('Extended', [TCheckTree]);

  RegisterComponents('Extended', [TIconBox]);
  RegisterComponents('Extended', [TIconDialog]);

  RegisterComponents('Extended', [TAboutDialog]);
  RegisterComponents('Extended', [TFolderDialog]);
  RegisterComponents('Extended', [TFileDialog]);

  RegisterComponentEditor(TIconDialog, TIconDialogEditor);
  RegisterComponentEditor(TAboutDialog, TAboutDialogEditor);
  RegisterComponentEditor(TFolderDialog, TFolderDialogEditor);
  RegisterComponentEditor(TFileDialog, TFileDialogEditor);
end;

end.
